function genData = calcGenDataCost(spLabel, c_bins, genModel, nNodes, nLabels)

genData = zeros(nLabels, nNodes);

for i = 1:nNodes
    idx = spLabel == i;    
    genData(1,i) = mean(-log(genModel.backModel(c_bins(idx))));   
    genData(2:nLabels,i) = repmat(mean(-log(genModel.foreModel(c_bins(idx)))),[nLabels-1,1]);
end