function showTargetPosition(confidenceMap, targetPos, searchPos, initVotePos, votePos, canTargetPos, frame)

global opts

if(opts.showConfidenceMap)
%     figure(4), clf, imshow(confidenceMap,[]),hold on;
    figure(4), clf, set(gcf, 'NumberTitle', 'off', 'name', 'confidence map'), imshow(confidenceMap,[]), hold on;
    if(opts.rotateMode)
        targetPos(1:2:end) = targetPos(1:2:end) - searchPos(1);
        targetPos(2:2:end) = targetPos(2:2:end) - searchPos(2);            
        vx = round([targetPos(1:2:end) targetPos(1)]);
        vy = round([targetPos(2:2:end) targetPos(2)]);
        for i = 1:4 
            line([vx(i) vx(i+1)],[vy(i) vy(i+1)], 'LineWidth', 2, 'color', 'r');
        end
    else
        if(~opts.showPostionSampling)
            for i = 1:5:size(canTargetPos, 1)
                rectangle('Position', [canTargetPos(i,1),canTargetPos(i,2),canTargetPos(i,3)-canTargetPos(i,1)+1,canTargetPos(i,4)-canTargetPos(i,2)+1],'LineWidth', 2, 'edgecolor','g');
            end
        end
        rectangle('Position', [targetPos(1)-searchPos(1), targetPos(2)-searchPos(2), targetPos(3)-targetPos(1)+1, targetPos(4)-targetPos(2)+1],'LineWidth', 2, 'edgecolor','r');
    end
%     plot(initVotePos(1), initVotePos(2), 'y+', 'lineWidth', 2);     
    plot(votePos(1), votePos(2), 'r+', 'lineWidth', 2); 
    %subplot(1,opts.frameBuffer,k), imshow(uint8(tempImg)), title(['fr+' offset ',' num2str(numel(spCandidate{k}.targetParts)) ' parts']);

    savePath = ['E:\ComputerVision\Single-target_Tracking\demo\' opts.seqName '\confidenceMap\'];
    if(~isdir(savePath))
        mkdir(savePath);
    end
    im2save = getframe(gcf);
    saveImg = im2save.cdata; 
    imwrite(saveImg, [savePath 'confidenceMap_' num2str(frame) '.jpg']);     
end