function targetData = calcTargetData(foreRatio, backRatio, nNodes, nLabels)

global opts

targetData = zeros(nLabels, nNodes);

if(isempty(foreRatio))
    return;
end

targetData(1,:) = backRatio;   
targetData(2:nLabels,:) = repmat(-foreRatio,[nLabels-1,1]);    

targetData = opts.targetWeight*(1-opts.fusionWeight)*targetData;