function model = updateGenModel(c_bins, mask, label)

global opts 

maxBins = opts.maxBins;
model = zeros(maxBins, 1);
idx = ismember(mask, label);

if(nnz(idx))
    x = min(maxBins, c_bins(idx));
    %% count freq
    x = sort(x);
    frx = diff(x);
    frx = frx(:);
    frx(end + 1) = 1; 
    frx = find(frx);
    frx = frx(:);
    value = x(frx);
    frx = [0; frx]; 
    freq = diff(frx); 
    model(value) =  freq;
end
model = model';