function out = getFeatureMap(im_patch, cf_response_size, hog_cell_size)

global opts


temp = fhog(single(im_patch), hog_cell_size);
h = cf_response_size(1);
w = cf_response_size(2);
out = zeros(h, w, 28, 'single');
out(:,:,2:28) = temp(:,:,1:27);
if(hog_cell_size > 1)
    im_patch = mexResize(im_patch, [h, w], 'auto');
end

if(~opts.colorName)
    if(size(im_patch, 3) > 1)
        im_patch = rgb2gray(im_patch);
    end
    out(:,:,1) = single(im_patch)/255 - 0.5;       
else
    out_npca = get_feature_map(im_patch, 'gray', opts.w2c);
    out_pca = get_feature_map(im_patch, 'cn', opts.w2c);
    out(:,:,1) = out_npca;
    out = cat(3,out,out_pca);       
end